package com.taauav.admin.entity;

import java.math.BigDecimal;


import java.io.Serializable;
import java.math.BigInteger;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * <p>
 * 巡检任务河道表
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvInspectDriver extends Entity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检任务ID
     */
    private Integer inspectId;

    /**
     * 行号(以10的倍数递增)
     */
    private Integer num;

    /**
     * 巡检任务单号对应的河流子编号
     */
    private String inspectNo;

    /**
     * 河道ID
     */
    @NotEmpty(message = "河道编号不能为空")
    private Integer driverId;

    /**
     * 河流名称
     */
    @NotEmpty(message = "河流名称不为空")
    private String driverName;

    /**
     * 河流区域ID
     */
    @NotEmpty(message = "河流区域不能为空")
    private BigInteger driverArea;

    /**
     * 河流长度(单位：KM)
     */
    @NotEmpty(message = "河流长度不能为空")
    private BigDecimal driverLength;

    /**
     * 河流起点
     */
    @NotEmpty(message = "河流起点不能为空")
    private String driverStart;

    /**
     * 河流终点
     */
    @NotEmpty(message = "河流终点不能为空")
    private String driverEnd;

    /**
     * 河流位置
     */
    private String driverImage;

    /**
     * 河流备注
     */
    private String driverNote;

    /**
     * 飞行小组
     */
    private Integer flightGroup;

    /**
     * 执行开始时间
     */
    private Integer executionStartTime;

    /**
     * 执行结束时间
     */
    private Integer executionEndTime;

    /**
     * 天气
     */
    private String weather;

    /**
     * 风向
     */
    private String wind;

    /**
     * 温度
     */
    private String temperature;

    /**
     * 飞行速度
     */
    private BigDecimal flightSpeed;

    /**
     * 飞行时长
     */
    private BigDecimal flightTime;

    /**
     * 飞行高度
     */
    private BigDecimal flightHeight;

    /**
     * 备注
     */
    private String remark;

    /**
     * 复核人
     */
    private Integer reviewUser;
    /**
     * 复核时间
     */
    private Integer reviewTime;

}
