package com.taauav.admin.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.admin.entity.TauvEquipment;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;

/**
 * 飞行设备列表Vo
 */
@Data
public class TauvEquipmentListVo {

    /**
     * 设备ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String equipmentSn;

    /**
     * 设备名称
     */
    private String name;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 型号
     */
    private String model;

    /**
     * 产品序号
     */
    private String productSn;

    /**
     * 飞控序号
     */
    private String flightSn;

    /**
     * 类型：1多旋翼 2固定翼
     */
    private Byte type;

    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 任务类型：1可见光 2多光谱
     */
    private Integer taskType;

    /**
     * 注册时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Integer registerTime;

    /**
     * 状态：1正常 2停用
     */
    private Byte status;

    /**
     * 状态描述
     */
    private String statusName;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 创建时间
     */
    private Integer createTime;

    /**
     * 更新时间
     */
    private Integer updateTime;

}
